Error in Redmine 1.4.x Trunk due to multiple repositories
Status: Closed Start date: 13 Feb 2012

Priority: Critical Due date: 25 May 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.4.0   

Redmine version: 1.4.0 External issue:  

Description

The latest Redmine development trunk ( 1.4.x ) has added support for multiple repositories per project.

Dues to these changes scm-creator only works if the repository is setup during the project creation stage. Any attempt to edit the

current repositories on a project or to add an additional repository on a project generates an error 500.

Related issues:

Duplicated by SCM Creator (+Github) - Bug #2025: Compatibility Issue with Red... Closed 23 Apr 2012 25 May 2012

Duplicates SCM Creator (+Github) - Patch #2038: support RM1.4's multi repositor Closed 22 May 2012 25 May 2012

History

#1 - 16 Feb 2012 17:14 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Priority changed from Critical to Major

Thanks for reporting!

I would not prioritize this issue as critical... It is going to be when 1.4.0 releases... 

#2 - 11 May 2012 12:00 - Fabien Crespel

Redmine 1.4.x was released some time ago, and the issue reported here still occurs and is now critical. 

Here are the corresponding logs in my case, when editing a repository; note that creation didn’t raise any error but didn’t create the repository either.

Processing RepositoriesController#edit (for 10.24.167.65 at 2012-05-11 13:43:07) [GET]

  Parameters: {"controller"=>"repositories", "id"=>"2", "action"=>"edit"}

ActionView::TemplateError (uninitialized constant ActionView::Base::CompiledTemplates::TabularFormBuilder) on 

line #3 of vendor/plugins/redmine_scm/app/views/projects/settings/_repository.rhtml:

1: <% remote_form_for :repository, @repository,

2:                    :url => { :controller => 'repositories', :action => 'edit', :id => @project },

3:                    :builder => TabularFormBuilder,

4:                    :lang => current_language do |f| %>

5:

6: <%= error_messages_for 'repository' %>

    vendor/plugins/redmine_scm/app/views/projects/settings/_repository.rhtml:3:in `_run_rhtml_vendor47plugins4

7redmine_scm47app47views47projects47settings47_repository46rhtml_locals_object_repository'

    passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

    passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_reque

st'

    passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handle

r'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_applica

tion'

    passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'
    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_applica

tion'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:180:in `start'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.12) helper-scripts/passenger-spawn-server:99

Rendering /opt/projectfactory/dev/app/redmine/public/500.html (500 Internal Server Error)

 

Please fix this issue, it would be a shame to have to remove such a great plugin because of it. 

#3 - 13 May 2012 12:36 - Andriy Lesyuk

- Priority changed from Major to Critical

#4 - 22 May 2012 05:49 - Andriy Lesyuk

- Target version set to 0.4.0

#5 - 23 May 2012 13:28 - Andriy Lesyuk

#2038 contains patch provided by Takashi Okamoto (thanks, user(Takashi)#111!). Working on including changes... Meanwhile you can use the patch.

#6 - 25 May 2012 09:18 - Andriy Lesyuk

- Due date set to 25 May 2012

- Status changed from Open to Closed

- % Done changed from 0 to 100
http://projects.andriylesyuk.com/issues/2038
http://projects.andriylesyuk.com/users/111


I believe the issue has been fixed!

Sorry for the delay!

P.S. Error log above does not seem to be related to 1.4.x as 1.4.x does not use _repository.rhtml...  Please report if you still get the error.

#7 - 19 Jun 2012 12:18 - Fabien Crespel

Thanks, r110 seems to work fine for me on Redmine 1.4.3 and 1.4.4 
